# Generated from debug_inspector-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name debug_inspector

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: A Ruby wrapper for the MRI 2.0 debug_inspector API
License: MIT
URL: https://github.com/banister/debug_inspector
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel >= 2.0
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc

%description
Adds methods to RubyVM::DebugInspector to allow for inspection of backtrace
frames.
The debug_inspector C extension and API were designed and built by Koichi
Sasada, this project is just a gemification of his work.
This library makes use of the debug inspector API which was added to MRI
2.0.0.
Only works on MRI 2 and 3. Requiring it on unsupported Rubies will result in a
no-op.
Recommended for use only in debugging situations. Do not use this in
production apps.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/debug_inspector.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.1.0-1
- Initial package
